# Xapian::KeyMaker Class Reference

Virtual base class for key making functors. More...

Inheritance diagram for Xapian::KeyMaker:

[legend]

List of all members.

## Public Member Functions
virtual std::string | operator() (const Xapian::Document &doc) const =0
| Build a key string for a Document.
virtual | ~KeyMaker ()
| Virtual destructor, because we have virtual methods.

## Detailed Description

Virtual base class for key making functors.

## Constructor & Destructor Documentation

virtual Xapian::KeyMaker::~KeyMaker | ( |  | ) | `[virtual]`

Virtual destructor, because we have virtual methods.

## Member Function Documentation

virtual std::string Xapian::KeyMaker::operator() | ( | const Xapian::Document & | doc | ) | const`[pure virtual]`

Build a key string for a Document.

These keys can be used for sorting or collapsing matching documents.

Parameters:

  | doc | Document object to build a key for.

Implemented in Xapian::MultiValueKeyMaker, and Xapian::MultiValueSorter.

The documentation for this class was generated from the following file:

- xapian/keymaker.h